Множественные уязвимости в PHP Weather

Дата публикации:
19.12.2008
Дата изменения:
19.12.2008
Всего просмотров:
2090
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5770
CVE-2008-5771
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP Weather 2.x
Уязвимые версии: PHP Weather 2.2.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценарии config/make_config.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "language" в сценарии test.php, когда параметр "metar" установлен в непустое значение. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

URL производителя: phpweather.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/7451

или введите имя

CAPTCHA